Fehler bei Installation über PyPi beim Banana

  • Hallo Thomas.
    Hab gerade versucht, über PyPi auf dem Banana Pi das DoorPi zu installieren. Zum Glück hab ich eine neue SD-Karte genommen. Die "alte" funktioniert wunderbar. Bekomme hoffentlich bald meinen RFID-Leser. Es klappt "Fast" alles wie beschrieben. Nur erwartet die Installationsroutine ein RPi.GPIO von >=5.11. Leider ist für den Banana nur 5.8 verfügbar. Kann man das im Installationssript des Doorpi
    vielleicht anpassen??? Falls ja sag mir wo und ich teste es :D


    Gruß Peter

  • Du Antwortest aber schneller als der Blitz...


    ;) Hab ich schon versucht. Mach ich das vorher, erkennt das PyPi Script die "niedrige" Version und deinstalliert diese. Nachträglich funktioniert aber auch nicht, da das System eine 6.XXX erkennt. Dann habe ich auch versucht nach der Doopi Installation RPi.GPIO zu deinstallieren und über den oben beschriebenen Weg zu installieren. Geht auch, nur meckert jetzt DoorPi das die Version kleiner als 5.11 ist und erkennt diese nicht an. In den Requirements des DoorPi steht auch diese ominöse RPi.GPIO>=5.11. Es wäre halt gut, wenn man diese Überprüfung vlt nicht gerade auf eine Version machen würde, sondern ob vorhanden oder nicht. Falls das geht....

  • Dann halt so:
    Anleitung BananaPi Pro + Jessie (Release 2015-08-22) mittels manueller Installation


    Siehe speziell Punkt 8:

    Zitat

    Datei /tmp/DoorPi/requirements.txt bearbeiten und die Zeilen mit RPi.GPIO bzw. pifacedigitalio entfernen


    Alternativ nach der Installation hier bearbeiten:
    /usr/local/lib/python2.7/dist-packages/DoorPi-2.5.0.0.dist-info/*.*
    Effektiver wäre aber vor der Installation zu bearbeiten...

  • Hallo Thomas,


    ich habe auch problem mit GPIO an BananaPi mit Raspbian.
    Virtuelle keyboard funktioniert, aber mit gpio keyboard, DoorPi startet nicht.


    Deswegen habe ich auch kein logfile mit [TRACE] info.


    Das Verzeichnis


    /usr/local/lib/python2.7/dist-packages/DoorPi-2.5.0.0.dist-info/


    habe ich nicht; ich habe nur


    /usr/local/lib/python2.7/dist-packages/DoorPi-2.5.0.4-py2.7.egg



    was kann ich jetz machen? kannst du bitte mir hefen?




    Danke + Grüße